Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.core.synchronize
Class FastSyncInfoFilter.CompoundSyncInfoFilter

    java.lang.Object
      org.eclipse.team.core.synchronize.SyncInfoFilter
          org.eclipse.team.core.synchronize.FastSyncInfoFilter
              org.eclipse.team.core.synchronize.FastSyncInfoFilter.CompoundSyncInfoFilter

Direct Known Subclasses:
  FastSyncInfoFilter.AndSyncInfoFilter, FastSyncInfoFilter.OrSyncInfoFilter

Enclosing class:
  FastSyncInfoFilter

public abstract static class FastSyncInfoFilter.CompoundSyncInfoFilter
extends FastSyncInfoFilter

An abstract class which contains a set of `FastSyncInfoFilter` instances. Subclasses must provide the `select(SyncInfo)` method for determining matches.

Nested Class Summary

Nested classes inherited from class org.eclipse.team.core.synchronize.FastSyncInfoFilter
`FastSyncInfoFilter.AndSyncInfoFilter, FastSyncInfoFilter.AutomergableFilter, FastSyncInfoFilter.CompoundSyncInfoFilter, FastSyncInfoFilter.OrSyncInfoFilter, FastSyncInfoFilter.PseudoConflictFilter, FastSyncInfoFilter.SyncInfoChangeTypeFilter, FastSyncInfoFilter.SyncInfoDirectionFilter`

Nested classes inherited from class org.eclipse.team.core.synchronize.SyncInfoFilter
`SyncInfoFilter.ContentComparisonSyncInfoFilter`

Field Summary
`protected FastSyncInfoFilter[]` | `filters` Instance variable which contains all the child filters for ths compound filter.

Constructor Summary
`protected` | `FastSyncInfoFilter.CompoundSyncInfoFilter(FastSyncInfoFilter[] filters)` Create a compund filter that contains the provided filters.

Methods inherited from class org.eclipse.team.core.synchronize.FastSyncInfoFilter
`getDirectionAndChangeFilter, select, select`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filters

    protected FastSyncInfoFilter[] filters

  Instance variable which contains all the child filters for ths compound filter.

Constructor Detail

### FastSyncInfoFilter.CompoundSyncInfoFilter

    protected FastSyncInfoFilter.CompoundSyncInfoFilter(FastSyncInfoFilter[] filters)

  Create a compund filter that contains the provided filters.

Parameters:
  `filters` - the child filters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.